      subroutine setprob
      implicit double precision (a-h,o-z)
      common /cqinit/ sloc,rhol,ul,rhor,ur
      common /comrp/ aa
c
c     # Isothermal equations
c
      open(unit=7,file='setprob.data',status='old',form='formatted')

c     # Sound speed
      read(7,*) aa
c

c     # initial data is a single discontinuity at sloc
      read(7,*) sloc
      read(7,*) rhol
      read(7,*) ul
      read(7,*) rhor
      read(7,*) ur
c
      return
      end
